Package com.emc.documentum.rest.config

# Enum Class Modules

java.lang.Object
java.lang.Enum<Modules>
com.emc.documentum.rest.config.Modules

All Implemented Interfaces:
  `Serializable`, `Comparable<Modules>`, `Constable`

public enum Modules extends Enum<Modules>
Created by vellur on 1/22/2020.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLLABORATION`
  `FRS`
  `PRM`
  `RM`
  `RPS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLicenseKey()`
  `String`
  `getModuleCode()`
  `static Modules`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Modules[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RM

    public static final Modules RM

  - ### PRM

    public static final Modules PRM

  - ### RPS

    public static final Modules RPS

  - ### FRS

    public static final Modules FRS

  - ### COLLABORATION

    public static final Modules COLLABORATION

- ## Method Details

  - ### values

    public static Modules[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Modules valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getModuleCode

    public String getModuleCode()

  - ### getLicenseKey

    public String getLicenseKey()